
  <!DOCTYPE html>
  <html>
    <head>
      <title>CustomizedTooltip.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Graphic/components/CustomizedTooltip.tsx</td><td class="">97.73%</td><td class="">80%</td><td class="">132</td><td class="">129</td><td class="">3</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { useCallback } from &#x27;react&#x27;;
import s from &#x27;../../../pages/simulation/model-configuring.module.scss&#x27;;
import { ReactComponent as CloseIcon } from &#x27;./close.svg&#x27;;

export const CustomizedTooltipField: React.FC = ({ children }) =&gt; {
  return &lt;div className={s.CustomizedTooltip__field}&gt;{children}&lt;/div&gt;;
};

export const CustomizedTooltipFieldValue: React.FC = ({ children }) =&gt; {
  return &lt;span className={s.CustomizedTooltip__fieldValue}&gt;{children}&lt;/span&gt;;
};

export interface CustomizedTooltipProps {
  active: boolean;
  content?: React.ReactNode;
  isPointSelected?: boolean;
  isBatchSelected?: boolean;
  isPointExcluded?: boolean;
  isBatchExcluded?: boolean;
  showIncludeExcludeControls?: boolean;
  onClose?: () =&gt; void;
  onPointChange?: (wasSelected?: boolean, wasExcluded?: boolean) =&gt; void;
  onBatchChange?: (wasSelected?: boolean, wasExcluded?: boolean) =&gt; void;
  showExclusion?: boolean;
}

export const CustomizedTooltip = ({
  showExclusion,
  active,
  content,
  isBatchSelected,
  isPointSelected,
  isPointExcluded,
  isBatchExcluded,
  showIncludeExcludeControls,
  onBatchChange,
  onPointChange,
  onClose
}: CustomizedTooltipProps) =&gt; {
  const handleCloseIconClick = useCallback(
    (e) =&gt; {
      e.stopPropagation();
      if (onClose) {
        onClose();
      }
    },
    [onClose]
  );
  if (!active) {
    return null;
  }
  return (
    &lt;div className={s.CustomizedTooltip} onClick={(e) =&gt; e.stopPropagation()}&gt;
      &lt;CloseIcon
        className={s.CustomizedTooltip__close}
        onClick={handleCloseIconClick}
      /&gt;
      {content}
      {showIncludeExcludeControls &amp;&amp; (
        &lt;div className={s.CustomizedTooltip__buttons}&gt;
          &lt;div
            onClick={() =&gt; {
              if (onPointChange) {
                onPointChange(isPointSelected);
              }
            }}
            className={s.CustomizedTooltip__button}
          &gt;
            {isPointSelected ? &#x27;Unselect point&#x27; : &#x27;Select point&#x27;}
          &lt;/div&gt;
          &lt;div
            onClick={() =&gt; onBatchChange?.(isBatchSelected)}
            className={s.CustomizedTooltip__button}
          &gt;
            {isBatchSelected ? &#x27;Unselect all batch&#x27; : &#x27;Select all batch&#x27;}
          &lt;/div&gt;
          {(isPointSelected ||
            isBatchSelected ||
            isPointExcluded ||
            isBatchExcluded) &amp;&amp;
            showExclusion &amp;&amp; (
              &lt;&gt;
                &lt;div
                  onClick={() =&gt; {
                    if (onPointChange) {
                      onPointChange(isPointSelected, isPointExcluded);
                    }
                  }}
                  className={s.CustomizedTooltip__button}
                &gt;
                  {isPointExcluded ? &#x27;Include point&#x27; : &#x27;Exclude point&#x27;}
                &lt;/div&gt;
                &lt;div
                  onClick={() =&gt;
                    onBatchChange?.(isBatchSelected, isBatchExcluded)
                  }
                  className={s.CustomizedTooltip__button}
                &gt;
                  {isBatchExcluded ? &#x27;Include all batch&#x27; : &#x27;Exclude all batch&#x27;}
                &lt;/div&gt;
              &lt;/&gt;
            )}
        &lt;/div&gt;
      )}
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/components/Graphic/components/CustomizedTooltip.tsx&quot;,&quot;line&quot;:40,&quot;character&quot;:5,&quot;text&quot;:&quot;e&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/components/Graphic/components/CustomizedTooltip.tsx&quot;,&quot;line&quot;:41,&quot;character&quot;:6,&quot;text&quot;:&quot;e&quot;,&quot;kind&quot;:1},{&quot;file&quot;:&quot;src/components/Graphic/components/CustomizedTooltip.tsx&quot;,&quot;line&quot;:41,&quot;character&quot;:8,&quot;text&quot;:&quot;stopPropagation&quot;,&quot;kind&quot;:1}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  